diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/core/model/int64x64-cairo.h ns-3.36/src/core/model/int64x64-cairo.h
--- ns-3.35/src/core/model/int64x64-cairo.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/core/model/int64x64-cairo.h	2022-04-30 18:23:57.794733300 -0700
@@ -19,6 +19,7 @@
 
 #include "ns3/core-config.h"
 #if !defined(INT64X64_CAIRO_H) && defined (INT64X64_USE_CAIRO) && !defined(PYTHON_SCAN)
+/** Using the ns3::int64x64_t based on Cairo 128-bit integers. */
 #define INT64X64_CAIRO_H
 
 #include <cmath>  // pow
@@ -81,11 +82,14 @@
     _v.hi = 0;
     _v.lo = 0;
   }
-  /**@{*/
   /**
-   * Construct from a floating point value.
+   * \name Construct from a floating point value.
+   */
+  /**
+   * @{
+   * Constructor from a floating point.
    *
-   * \param [in] value floating value to represent
+   * \param [in] value Floating value to represent.
    */
   inline int64x64_t (const double value)
   {
@@ -122,6 +126,9 @@
   }
   /**@}*/
 
+  /**
+   * \name Construct from an integral type.
+   */
   /**@{*/
   /**
    * Construct from an integral type.
@@ -191,6 +198,12 @@
     return *this;
   }
 
+  /** Explicit bool conversion. */
+  inline explicit operator bool () const
+  {
+    return (_v != 0);
+  }
+
   /**
    * Get this value as a double.
    *
@@ -295,16 +308,33 @@
    *  \param [in] rhs Right hand argument
    *  \return The result of the operator.
    */
-  friend bool         operator == (const int64x64_t & lhs, const int64x64_t & rhs);
-
-  friend bool         operator <  (const int64x64_t & lhs, const int64x64_t & rhs);
-  friend bool         operator >  (const int64x64_t & lhs, const int64x64_t & rhs);
-
-  friend int64x64_t & operator += (      int64x64_t & lhs, const int64x64_t & rhs);
-  friend int64x64_t & operator -= (      int64x64_t & lhs, const int64x64_t & rhs);
-  friend int64x64_t & operator *= (      int64x64_t & lhs, const int64x64_t & rhs);
-  friend int64x64_t & operator /= (      int64x64_t & lhs, const int64x64_t & rhs);
-  /**@}*/
+  // *NS_CHECK_STYLE_OFF*
+  friend inline bool operator == (const int64x64_t & lhs, const int64x64_t & rhs) { return _cairo_int128_eq (lhs._v, rhs._v); };
+  friend inline bool operator <  (const int64x64_t & lhs, const int64x64_t & rhs) { return _cairo_int128_lt (lhs._v, rhs._v); };
+  friend inline bool operator >  (const int64x64_t & lhs, const int64x64_t & rhs) { return _cairo_int128_gt (lhs._v, rhs._v); };
+
+  friend inline int64x64_t & operator += (int64x64_t & lhs, const int64x64_t & rhs)
+    {
+      lhs._v = _cairo_int128_add ( lhs._v, rhs._v );
+      return lhs;
+    };
+  friend inline int64x64_t & operator -= (int64x64_t & lhs, const int64x64_t & rhs)
+    {
+      lhs._v = _cairo_int128_sub ( lhs._v, rhs._v );
+      return lhs;
+    };
+  friend inline int64x64_t & operator *= (int64x64_t & lhs, const int64x64_t & rhs)
+    {
+      lhs.Mul (rhs);
+      return lhs;
+    };
+  friend inline int64x64_t & operator /= (int64x64_t & lhs, const int64x64_t & rhs)
+    {
+      lhs.Div (rhs);
+      return lhs;
+    };
+  // *NS_CHECK_STYLE_ON*
+  /** @} */
 
   /**
    * \name Unary Operators
@@ -316,9 +346,18 @@
    *  \param [in] lhs Left hand argument
    *  \return The result of the operator.
    */
-  friend int64x64_t   operator -  (const int64x64_t & lhs);
-  friend int64x64_t   operator !  (const int64x64_t & lhs);
-  /**@}*/
+  friend inline int64x64_t   operator +  (const int64x64_t & lhs) { return lhs; };
+  friend inline int64x64_t   operator -  (const int64x64_t & lhs)
+    {
+      int64x64_t tmp = lhs;
+      tmp._v = _cairo_int128_negate (tmp._v);
+      return tmp;
+    };
+  friend inline int64x64_t   operator !  (const int64x64_t & lhs)
+    {
+      return (lhs == int64x64_t ()) ? int64x64_t (1, 0) : int64x64_t ();
+    };
+  /** @} */
 
   /**
    * Implement `*=`.
@@ -381,123 +420,6 @@
 };  // class int64x64_t
 
 
-/**
- * \ingroup highprec
- * Equality operator.
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline bool operator == (const int64x64_t & lhs, const int64x64_t & rhs)
-{
-  return _cairo_int128_eq (lhs._v, rhs._v);
-}
-/**
- * \ingroup highprec
- * Less than operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline bool operator < (const int64x64_t & lhs, const int64x64_t & rhs)
-{
-  return _cairo_int128_lt (lhs._v, rhs._v);
-}
-/**
- * \ingroup highprec
- * Greater operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline bool operator > (const int64x64_t & lhs, const int64x64_t & rhs)
-{
-  return _cairo_int128_gt (lhs._v, rhs._v);
-}
-
-/**
- * \ingroup highprec
- * Compound addition operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline int64x64_t & operator += (int64x64_t & lhs, const int64x64_t & rhs)
-{
-  lhs._v = _cairo_int128_add ( lhs._v, rhs._v );
-  return lhs;
-}
-/**
- * \ingroup highprec
- * Compound subtraction operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline int64x64_t & operator -= (int64x64_t & lhs, const int64x64_t & rhs)
-{
-  lhs._v = _cairo_int128_sub ( lhs._v, rhs._v );
-  return lhs;
-}
-/**
- * \ingroup highprec
- * Compound multiplication operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline int64x64_t & operator *= (int64x64_t & lhs, const int64x64_t & rhs)
-{
-  lhs.Mul (rhs);
-  return lhs;
-}
-/**
- * \ingroup highprec
- * Compound division operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline int64x64_t & operator /= (int64x64_t & lhs, const int64x64_t & rhs)
-{
-  lhs.Div (rhs);
-  return lhs;
-}
-
-/**
- * \ingroup highprec
- * Unary plus operator
- * \param [in] lhs Left hand argument
- * \return The result of the operator.
- */
-inline int64x64_t operator + (const int64x64_t & lhs)
-{
-  return lhs;
-}
-/**
- * \ingroup highprec
- * Unary negation operator (change sign operator)
- * \param [in] lhs Left hand argument
- * \return The result of the operator.
- */
-inline int64x64_t operator - (const int64x64_t & lhs)
-{
-  int64x64_t tmp = lhs;
-  tmp._v = _cairo_int128_negate (tmp._v);
-  return tmp;
-}
-/**
- * \ingroup highprec
- * Logical not operator
- * \param [in] lhs Left hand argument
- * \return The result of the operator.
- */
-inline int64x64_t operator ! (const int64x64_t & lhs)
-{
-  return (lhs == int64x64_t ()) ? int64x64_t (1, 0) : int64x64_t ();
-}
-
-
 } // namespace ns3
 
 #endif /* INT64X64_CAIRO_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/core/model/int64x64-double.h ns-3.36/src/core/model/int64x64-double.h
--- ns-3.35/src/core/model/int64x64-double.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/core/model/int64x64-double.h	2022-04-30 18:23:57.794733300 -0700
@@ -19,6 +19,7 @@
 
 #include "ns3/core-config.h"
 #if !defined(INT64X64_DOUBLE_H) && (defined (INT64X64_USE_DOUBLE) || defined(PYTHON_SCAN))
+/** Using the ns3::int64x64_t based on double values. */
 #define INT64X64_DOUBLE_H
 
 #include <stdint.h>
@@ -78,20 +79,26 @@
   inline int64x64_t ()
     : _v (0)
   {}
-  /**@{*/
   /**
-   * Construct from a floating point value.
+   * \name Construct from a floating point value.
+   */
+  /**
+   * @{
+   * Constructor from a floating point.
    *
-   * \param [in] v Floating value to represent
+   * \param [in] value Floating value to represent.
    */
-  inline int64x64_t (double v)
-    : _v (v)
+  inline int64x64_t (double value)
+    : _v (value)
   {}
-  inline int64x64_t (long double v)
-    : _v (v)
+  inline int64x64_t (long double value)
+    : _v (value)
   {}
   /**@}*/
 
+  /**
+   * \name Construct from an integral type.
+   */
   /**@{*/
   /**
    * Construct from an integral type.
@@ -105,7 +112,7 @@
     : _v (v)
   {}
   inline int64x64_t (long long int v)
-    : _v (static_cast<double> (v))
+    : _v (static_cast<long double> (v))
   {}
   inline int64x64_t (unsigned int v)
     : _v (v)
@@ -114,7 +121,7 @@
     : _v (v)
   {}
   inline int64x64_t (unsigned long long int v)
-    : _v (static_cast<double> (v))
+    : _v (static_cast<long double> (v))
   {}
   /**@}*/
   /**
@@ -154,6 +161,12 @@
     return *this;
   }
 
+  /** Explicit bool conversion. */
+  inline explicit operator bool () const
+  {
+    return (_v != 0);
+  }
+
   /**
    * Get this value as a double.
    *
@@ -281,36 +294,54 @@
    * \name Arithmetic Operators
    * Arithmetic operators for int64x64_t.
    */
-  /**
+  /*
    * @{
    *  Arithmetic operator.
    *  \param [in] lhs Left hand argument
    *  \param [in] rhs Right hand argument
    *  \return The result of the operator.
    */
-  friend bool         operator == (const int64x64_t & lhs, const int64x64_t & rhs);
-
-  friend bool         operator <  (const int64x64_t & lhs, const int64x64_t & rhs);
-  friend bool         operator >  (const int64x64_t & lhs, const int64x64_t & rhs);
-
-  friend int64x64_t & operator += (      int64x64_t & lhs, const int64x64_t & rhs);
-  friend int64x64_t & operator -= (      int64x64_t & lhs, const int64x64_t & rhs);
-  friend int64x64_t & operator *= (      int64x64_t & lhs, const int64x64_t & rhs);
-  friend int64x64_t & operator /= (      int64x64_t & lhs, const int64x64_t & rhs);
+  // *NS_CHECK_STYLE_OFF*
+  friend inline bool operator == (const int64x64_t & lhs, const int64x64_t & rhs) { return lhs._v == rhs._v; };
+  friend inline bool operator <  (const int64x64_t & lhs, const int64x64_t & rhs) { return lhs._v < rhs._v; };
+  friend inline bool operator >  (const int64x64_t & lhs, const int64x64_t & rhs) { return lhs._v > rhs._v; };
+
+  friend inline int64x64_t & operator += ( int64x64_t & lhs, const int64x64_t & rhs)
+    {
+      lhs._v += rhs._v;
+      return lhs;
+    };
+  friend inline int64x64_t & operator -= ( int64x64_t & lhs, const int64x64_t & rhs)
+    {
+      lhs._v -= rhs._v;
+      return lhs;
+    };
+  friend inline int64x64_t & operator *= ( int64x64_t & lhs, const int64x64_t & rhs)
+    {
+      lhs._v *= rhs._v;
+      return lhs;
+    };
+  friend inline int64x64_t & operator /= ( int64x64_t & lhs, const int64x64_t & rhs)
+    {
+      lhs._v /= rhs._v;
+      return lhs;
+    };
+  // *NS_CHECK_STYLE_ON*
   /**@}*/
 
   /**
    * \name Unary Operators
    * Unary operators for int64x64_t.
    */
-  /**
+  /*
    * @{
    *  Unary operator.
    *  \param [in] lhs Left hand argument
    *  \return The result of the operator.
    */
-  friend int64x64_t   operator -  (const int64x64_t & lhs);
-  friend int64x64_t   operator !  (const int64x64_t & lhs);
+  friend inline int64x64_t   operator +  (const int64x64_t & lhs) { return lhs; };
+  friend inline int64x64_t   operator -  (const int64x64_t & lhs) { return int64x64_t (-lhs._v); };
+  friend inline int64x64_t   operator !  (const int64x64_t & lhs) { return int64x64_t (!lhs._v); };
   /**@}*/
 
   long double _v;  //!< The Q64.64 value.
@@ -318,120 +349,6 @@
 };  // class int64x64_t
 
 
-/**
- * \ingroup highprec
- * Equality operator.
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline bool operator == (const int64x64_t & lhs, const int64x64_t & rhs)
-{
-  return lhs._v == rhs._v;
-}
-/**
- * \ingroup highprec
- * Less than operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline bool operator < (const int64x64_t & lhs, const int64x64_t & rhs)
-{
-  return lhs._v < rhs._v;
-}
-/**
- * \ingroup highprec
- * Greater operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline bool operator > (const int64x64_t & lhs, const int64x64_t & rhs)
-{
-  return lhs._v > rhs._v;
-}
-
-/**
- * \ingroup highprec
- * Compound addition operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline int64x64_t & operator += (int64x64_t & lhs, const int64x64_t & rhs)
-{
-  lhs._v += rhs._v;
-  return lhs;
-}
-/**
- * \ingroup highprec
- * Compound subtraction operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline int64x64_t & operator -= (int64x64_t & lhs, const int64x64_t & rhs)
-{
-  lhs._v -= rhs._v;
-  return lhs;
-}
-/**
- * \ingroup highprec
- * Compound multiplication operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline int64x64_t & operator *= (int64x64_t & lhs, const int64x64_t & rhs)
-{
-  lhs._v *= rhs._v;
-  return lhs;
-}
-/**
- * \ingroup highprec
- * Compound division operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
- */
-inline int64x64_t & operator /= (int64x64_t & lhs, const int64x64_t & rhs)
-{
-  lhs._v /= rhs._v;
-  return lhs;
-}
-
-/**
- * \ingroup highprec
- * Unary plus operator
- * \param [in] lhs Left hand argument
- * \return The result of the operator.
- */
-inline int64x64_t operator + (const int64x64_t & lhs)
-{
-  return lhs;
-}
-/**
- * \ingroup highprec
- * Unary negation operator (change sign operator)
- * \param [in] lhs Left hand argument
- * \return The result of the operator.
- */
-inline int64x64_t operator - (const int64x64_t & lhs)
-{
-  return int64x64_t (-lhs._v);
-}
-/**
- * \ingroup highprec
- * Logical not operator
- * \param [in] lhs Left hand argument
- * \return The result of the operator.
- */
-inline int64x64_t operator ! (const int64x64_t & lhs)
-{
-  return int64x64_t (!lhs._v);
-}
-
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/core/model/int64x64.h ns-3.36/src/core/model/int64x64.h
--- ns-3.35/src/core/model/int64x64.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/core/model/int64x64.h	2022-04-30 18:23:57.794733300 -0700
@@ -24,7 +24,7 @@
 
 // Order is important here, as it determines which implementation
 // will generate doxygen API docs.  This order mimics the
-// selection logic in wscript, so we generate docs from the
+// selection logic in CMakeLists.txt, so we generate docs from the
 // implementation actually chosen by the configuration.
 #if defined (INT64X64_USE_128) && !defined (PYTHON_SCAN)
 #include "int64x64-128.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/core/model/length.cc ns-3.36/src/core/model/length.cc
--- ns-3.35/src/core/model/length.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/core/model/length.cc	2022-04-30 18:23:57.794733300 -0700
@@ -18,7 +18,7 @@
  * Author: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
 
-#include "length.h"
+#include "ns3/length.h"
 
 #include "ns3/log.h"
 
@@ -394,11 +394,6 @@
   return Quantity (value, unit);
 }
 
-//silence doxygen warnings about undocumented functions
-/**
- * \ingroup length
- * @{
- */
 bool
 operator== (const Length& left, const Length& right)
 {
